Intrusion Prevention

ElasticSearch.ThrowableObjectInput.Insecure.Deserialization

Description

This indicates an attack attempt to exploit a remote Code Execution vulnerability in Elastic ElasticSearch.
The vulnerability is due to an error in the vulnerable application when handling a maliciously crafted request. A remote attacker may be able exploit this to execute arbitrary code within the context of the application via crafted requests.

Affected Products

Elastic Elasticsearch prior to 1.7.0
Elastic Elasticsearch prior to 1.6.1

Impact

System Compromise: Remote attackers can gain control of vulnerable systems

Recommended Actions

Apply the most recent upgrade or patch from the vendor.
https://discuss.elastic.co/t/elasticsearch-remote-code-execution-cve-2015-5377/25736

CVE References

CVE-2015-5377